## [2.1]() - 2023-12-05
- Добавлен заголовок `Contact` в ответе на SIP запрос OPTIONS.
- Изменены скрипты и процедура развертывания УВр-SIP.
- Добавлена поддержка запроса `CANCEL`.
- Если displayName содержит кавычки в начале и конце то они убираются при передаче в КВр.
- Добавлено конфигурирование ответа на SIP OPTIONS в случае когда статус КВр отличается от Uvr::NodeStatus::Started.
- Добавлена возможность конфигурирования размера UDP буфера на прием сообщений.
- Увеличена производительность обработки SIP запросов.

## [2.0]() - 2023-11-10
- Поддержка СПО Компонент верификации v.3.0.
- В случае системной ошибки при обработке `Uvr::CallInformationRequest` генерируется ответ с кодом `Uvr::ResponseCode::systemError`.
- Исправлен скрипт установки.
- Улучшена обработка SIP INVITE с отсутствующим заголовком "From" или/и с отсутствующим заголовком "To".
- УВр не стартует, если проверка конфигурационного файла не пройдена.
- Исправлена проблема записи в ClickHouse при долгом периоде неактивности.
- Улучшена обработка ошибки установления соединение с ClickHouse.
- Имя БД в ClickHouse теперь формируется с использованием идентификатора УВр.
- Таблица в ClickHouse с записями информации о звонках переименована из `verdicts` в `calls`.
- SIP INVITE Body не анализируется и не включается в ответ.
- Добавлено новое поле `CALL_TYPE` в таблицу с хранением информации о соединениях
- Добавлен новый обязательный ключ `CALL_TYPE` для CLI команды `update-records`
- Изменен скрипт настройки ClickHouse для создания БД с использованием идентификатора УВр.
- Идентификатор оператора, из сети которого осуществляется пропуск траффика для соединения (ID_SRC), извлекается (при наличии) из заголовка "From" вместо заголовка "To" в SIP INVITE входящего вызова.
- Идентификатор оператора, в сеть которого осуществляется пропуск траффика для соединения (ID_DST), извлекается (при наличии) из заголовка "To" в SIP INVITE входящего вызова.

## [1.1]() - 2023-10-19
- Поддержка СПО Компонент верификации v.2.6.
- Исправлена опечатка в prerequisites.sh.
- IP адрес и порт для отправки ответа извлекается из последнего (topmost) заголовка Via.
- Исправлено форматирование URI при наличие параметров.
- Поддержка SIP запроса OPTIONS.
- Исправлено обновление данных в хранилище.

## [1.0]() - 2023-10-02
- Первая версия. Базируется на КВР 2.5.
