ifneq ($(SRCS_INCLUDED),)
	SRCS := $(filter $(SRCS_INCLUDED), $(wildcard *.cpp))
	SRCS += $(filter $(SRCS_INCLUDED), $(wildcard *.c))
else ifneq ($(SRCS_EXCLUDED),)
	SRCS := $(filter-out $(SRCS_EXCLUDED), $(wildcard *.cpp))
	SRCS += $(filter-out $(SRCS_EXCLUDED), $(wildcard *.c))
else
	SRCS := $(wildcard *.cpp)
	SRCS += $(wildcard *.c)
endif

make_objs = $(patsubst %.c,$(OBJDIR)/%.o, $(filter %.c, $(1))) $(patsubst %.cpp,$(OBJDIR)/%.o, $(filter %.cpp, $(1)))

OBJS := $(call make_objs, $(SRCS))

.PRECIOUS: $(BINDIR)/%.a $(OBJS)

DIRSTOCREATE += $(LINKSDIR)

%.a: $(BINDIR)/%.a | $(LINKSDIR)
	@ln -sf $(CURDIR)/$(BINDIR)/$*.a $(LINKSDIR)/$*.a

ifneq ($(use_artifacts),on)
  $(BINDIR)/%.a: $(OBJS) $(LIBS); $(AR) rsv $@ $(filter %.o,$^) $(LIBS_OBJS)
else
  $(BINDIR)/%.a: ;
endif

include Makefile.cni
