#pragma once

// AFAP includes.
#include "components/support/interfaces_template.hpp"
#include "components/worker_node/src/primitive.hpp"

namespace workers
{
    namespace interfaces
    {
        INTERFACE_S(sender,
                    INTERFACE_SERVER(void, send, primitive::GenericPtr);
                    INTERFACE_SERVER(const TypeInst &, getTypeInst);)

        INTERFACE_C(sender,
                    INTERFACE_CLIENT(void, send, primitive::GenericPtr);
                    INTERFACE_CLIENT_R(const TypeInst &, getTypeInst);)

    }
} // namespace workers
