#pragma once

// Cli includes.
#include "Common.hpp"

namespace Cli
{
    class ArgsParser
    {
    public:
        ArgsParser(int argC, char **argV);

    public:
        bool isOk() const;

        bool isToPrintHelp() const;

        const std::string & getUvrAddress() const ;
        const std::string & getUvrPort() const;

        const std::string & getCmd() const;
        const Strings& getCmdArgs() const;

    private:
        bool m_isOk;
        bool m_isToPrintHelp;

        std::string m_uvrAddress;
        std::string m_uvrPort;

        std::string m_cmd;
        Strings m_cmdArgs;
    };

} // namespace Cli
