#pragma once

#include "headers.hpp"

#include <memory>
#include <string>

namespace sip::header
{

    class Allow : public Abstract
    {
    public:
        Allow();

        int doParse(const char *hvalue) override;
        int doParse(std::string &&hvalue);
        std::string valueToStr(int &errorCode) override;

        std::string m_value;
    };
    using AllowPtr = std::shared_ptr<Allow>;

} // namespace sip::header
