#pragma once

#include "headers.hpp"

#include <memory>
#include <string>

namespace sip::header
{

    class CallId : public Abstract
    {
    public:
        CallId();

        int doParse(const char *hvalue) override;
        std::string valueToStr(int &errorCode) override;
        std::string getValue();

        std::string m_value;
    };
    using CallIdPtr = std::shared_ptr<CallId>;

} // namespace sip::header
