include $(REPO_AFAP)/.build_support/Makefile_libs.mk

UVR_SIP_LIBS := libdb_clckh.a libsip.a
UVR_SIP_LIBS += libmodulesip.a libModuleFsEsl.a libModuleStorage.a
UVR_SIP_LIBS += libtestsupport_uvr-sip.a

.PHONY: $(UVR_SIP_LIBS)
$(UVR_SIP_LIBS): MAKE_OPTIONS := -C$(REPO) -I$(BUILD_SUPPORT) use_artifacts=off product=

libdb_clckh.a:
	$(MAKE) $(MAKE_OPTIONS) target2=components target3=db $@

libsip.a:
	$(MAKE) $(MAKE_OPTIONS) target2=components target3=sip $@
libmodulesip.a:
	$(MAKE) $(MAKE_OPTIONS) target2=modules target3=sip $@
libModuleFsEsl.a:
	$(MAKE) $(MAKE_OPTIONS) target2=modules target3=FsEsl $@
libModuleStorage.a:
	$(MAKE) $(MAKE_OPTIONS) target2=modules target3=storage $@

libtestsupport_uvr-sip.a:
	$(MAKE) $(MAKE_OPTIONS) target2=test target3=support $@
