#pragma once

// STL includes.
#include <string>

#define CONFIG_CLIGW "/cligw"

namespace CliGw
{
    /// Contains paths in config file and default values for the CLIGW parameters.
    namespace config
    {
        /// The port number through which CLIGW communicates with cli
        constexpr auto port = CONFIG_CLIGW "/port";

        /// The network interface through which CLIGW communicates with cli
        constexpr auto interface = CONFIG_CLIGW "/interface";

    } // namespace config

} // namespace CliGw
