#pragma once

#include "components/db/src/interfaces.hpp"

namespace db
{
    class client : public interfaces::tables::server,
                   public interfaces::tables::calls::server,
                   public interfaces::tables::incidents::server,
                   public interfaces::tables::incidentsA::server,
                   public interfaces::tables::subscribers::server,
                   public interfaces::tables::uvrs::server,
                   public interfaces::tables::hubs::server,
                   public interfaces::tables::Operators::server,
                   public interfaces::notifier::client
    {
    public:
        client() = default;
        virtual ~client() = default;
        virtual bool connect(void) = 0;
        virtual void disconnect(void) = 0;
    };

} // namespace db
