#pragma once

// Cli includes.
#include "Common.hpp"

// STL includes.
#include <string>

namespace Cli
{
    void printShortHelp();
    void printLongHelp();

    bool connectToUvr(const std::string &uvrAddress,
                      const std::string &uvrPort);

    bool sendExecCmdReq(const std::string &cmd,
                        const Strings &cmdArgs);

    bool handleExecCmdRsp();
}
