#pragma once

// AFAP includes.
#include "components/log/src/Tag.hpp"
#include "components/worker_node/src/typeInst.hpp"

// STL includes
#include <string>
#include <vector>

namespace Cli
{
    using Strings = std::vector<std::string>;

    const TypeInst s_cliInst(workers::type::CLI, 0);
    const TypeInst s_cliGwInst(workers::type::CLIGW, 0);
    const Log::Tag s_logTag(s_cliInst);
}
