#pragma once

#include "headers.hpp"

#include <memory>
#include <string>

namespace sip::header
{

    class ContentLength : public Abstract
    {
    public:
        ContentLength();

        int doParse(const char *hvalue) override;
        int doParse(std::string &&hvalue);
        std::string valueToStr(int &errorCode) override;

        std::string m_value;
    };
    using ContentLengthPtr = std::shared_ptr<ContentLength>;

} // namespace sip::header
