#pragma once

#include "headers.hpp"

#include <memory>
#include <string>

namespace sip::header
{

    class CSeq : public Abstract
    {
    public:
        CSeq();

        int doParse(const char *hvalue) override;
        std::string valueToStr(int &errorCode) override;
        int getValue();

        std::string m_number;
        std::string m_method;
    };
    using CSeqPtr = std::shared_ptr<CSeq>;

} // namespace sip::header
