#pragma once

#include "headers.hpp"
#include "uri.hpp"

#include <memory>
#include <string>

namespace sip::header
{

    class Diversion : public Abstract
    {
    public:
        Diversion();

        int doParse(const char *hvalue) override;
        std::string valueToStr(int &errorCode) override;

        std::string m_value;
    };

    using DiversionPtr = std::shared_ptr<Diversion>;

} // namespace sip::header
