#!/bin/bash

CLCKH_VER="22.8.15.23"
GITHUB="https://github.com/ClickHouse/ClickHouse/releases"
CLCKH_PKGS=${GITHUB}"/download/v${CLCKH_VER}-lts"

CLCKH_CLIENT="clickhouse-client_${CLCKH_VER}_amd64.deb"
CLCKH_CMN="clickhouse-common-static_${CLCKH_VER}_amd64.deb"
CLCKH_SERVER="clickhouse-server_${CLCKH_VER}_amd64.deb"

apt-get update
apt-get install -y wget
apt-get install -y vim

mkdir -p /tmp/clickhouse/
pushd /tmp/clickhouse/

wget ${CLCKH_PKGS}"/"${CLCKH_CMN}
dpkg -i ${CLCKH_CMN}

wget ${CLCKH_PKGS}"/"${CLCKH_CLIENT}
dpkg -i ${CLCKH_CLIENT}

if [[ "$1" != "client_only" ]]; then
  wget ${CLCKH_PKGS}"/"${CLCKH_SERVER}

  apt-get install -y expect
  apt-get install -y sudo

/usr/bin/expect << ***EOF***
spawn dpkg -i ${CLCKH_SERVER}
expect "Enter password for default user:"
send "\r"
expect eof
***EOF***

popd

fi
